unit XData.Design.Register;

interface

procedure Register;

implementation

uses
  Classes, DesignIntf, DB, StrEdit,
  Aurelius.Bind.Dataset,
  XData.Comp.Server,
  XData.Comp.ConnectionPool,
  XData.Design.Editors,
  XData.Web.Dataset,
  XData.Web.Client,
  XData.Web.Connection,
  XData.Web.JsonDataset,
  XData.Design.WebDatasetEditor;

{$R dclxdata.dcr}

procedure Register;
begin
  RegisterComponents('TMS XData', [TXDataWebDataset, TXDataWebConnection, TXDataWebClient]);
  RegisterComponents('TMS XData', [TXDataServer, TXDataConnectionPool]);
  RegisterSelectionEditor(TXDataServer, TXDataServerSelectionEditor);
  RegisterSelectionEditor(TXDataConnectionPool, TXDataConnectionPoolSelectionEditor);
  RegisterPropertyEditor(TypeInfo(TStrings), TXDataWebConnectionDesignData, 'Headers', TValueListProperty);
  RegisterPropertyEditor(TypeInfo(string), TXDataWebDataset, 'EntitySetName', TEntitySetNameProperty);
  RegisterFields([TXDataWebEntityField, TXDataWebDatasetField]);
end;

end.